{% load static %}
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Inventario - {% block titulo %}{% endblock %}</title>
    <link rel="stylesheet" href="{% static 'inventario/css/bootstrap.min.css' %}" />
    <link rel="stylesheet" href="{% static 'inventario/css/estilos.css' %}" />
</head>
<body>

    <nav class="navbar navbar-expand-lg bg-body-tertiary">
        <div class="container-fluid">
            <a class="navbar-brand" href="{% url 'index' %}">SENA</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="{% url 'categorias' %}">Categorías</a>
                    </li>
                    {% if request.session.logueo.rol == "SECRE" or request.session.logueo.rol == "ADMIN"  %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'productos' %}">Productos</a>
                    </li>
                    {% endif %}

                    <li class="nav-item">
                        <a class="nav-link {% if request.session.logueo.rol != 'SECRE' and request.session.logueo.rol != 'ADMIN'  %}disabled{% endif %}" aria-disabled="true" href="{% url 'productos' %}">Productos (copia)</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"
                           aria-expanded="false">
                            Dropdown
                        </a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item" href="#">Action</a></li>
                            <li><a class="dropdown-item" href="#">Another action</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="#">Something else here</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link disabled" aria-disabled="true">Disabled</a>
                    </li>
                </ul>
                <ul class="d-flex navbar-nav">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"
                           aria-expanded="false">
                            Bienvenido <strong>{{ request.session.logueo.nombre }}</strong> ({{ request.session.logueo.rol }})
                        </a>
                        <ul class="dropdown-menu dropdown-menu-end">
                            <li><a class="dropdown-item" href="{% url 'ver_perfil' %}">Perfil</a></li>
                            <li><a class="dropdown-item" href="{% url 'formulario_cambiar_clave' %}">Cambiar contraseña</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="{% url 'logout' %}">Cerrar sesión</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a onclick="ver_carrito(`{% url 'ver_carrito' %}`)" class="nav-link position-relative" href="" data-bs-toggle="offcanvas" data-bs-target="#offcanvasRight" aria-controls="offcanvasRight">
                            <i class="fa-solid fa-cart-arrow-down"></i>
                            <span class="position-relative top-0 start-75 translate-middle badge rounded-pill bg-danger" style="margin-left:0.5rem;">{{ request.session.items_carrito|default:0 }}</span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert alert-{% if message.tags and message.tags == 'error' %}danger{% else %}{{ message.tags }}{% endif %} alert-dismissible fade show" role="alert">
                {{ message }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        {% endfor %}
    {% endif %}



    {% block principal %}{% endblock %}

    <footer class="card mt-5 p-6 fixed-bottom">
        {% block pie %}Copyright Sena - Colombia 2023{% endblock %}
    </footer>

    <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvasRight" aria-labelledby="offcanvasRightLabel">
        ...
    </div>


    <script src="{% static 'inventario/js/jquery-3.7.1.min.js' %}"></script>
    <script src="{% static 'inventario/js/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static 'inventario/js/libreria.js' %}"></script>
    <script src="https://kit.fontawesome.com/c781e91b3a.js" crossorigin="anonymous"></script>
</body>
</html>